Skip to main content

delete-row

Description

Fires when deleting a row

Usage

"delete-row": ({
id: string | number,
eventSource?: string,
}) => boolean|void;

Parameters

The callback of the action takes an object with the following parameters:

  • id - (required) the ID of a row that is deleted

  • eventSource - (optional) the name of the Grid action that triggered delete-row

Returning false from the event handler will prevent deleting rows.

Example

<script setup>
import { getData } from "./common/data";
import { Grid } from "@svar-ui/vue-grid";
import { Button } from "@svar-ui/vue-core";
import { ref } from "vue";
const { data, columns } = getData();

const api = ref(null);

const deleteRow = () => {
api.value.exec("delete-row", {
id: 17,
});
};
</script>

<template>
<Button :onclick="deleteRow" type="primary">Delete Row</Button>

<Grid :data="data" :columns="columns" ref="api" />
</template>

Related articles:

Skip to main content

delete-row

Description

Fires when deleting a row

Usage

"delete-row": ({
id: string | number,
eventSource?: string,
}) => boolean | void;

Parameters

The callback of the action takes an object with the following parameters:

  • id - (required) the ID of a row that is deleted

  • eventSource - (optional) the name of the Grid action that triggered delete-row

Returning false from the event handler will prevent deleting rows.

Example

import { useRef } from "react";
import { getData } from "./common/data";
import { Grid } from "@svar-ui/react-grid";
import { Button } from "@svar-ui/react-core";

const Example = () => {
const { data, columns } = getData();
const apiRef = useRef(null);

const deleteRow = () => {
apiRef.current?.exec("delete-row", {
id: 17,
});
};

return (
<>
<Button onClick={deleteRow} type="primary">Delete Row</Button>

<Grid data={data} columns={columns} ref={apiRef} />
</>
);
};

Related articles: